@charset "utf-8";

:root 
{
    --wall-bg-color: rgb(255, 255, 255);
    --wall-border-color: var(--common-border-color);
    --wall-fborder-color: var(--input-fborder-color);

    --wall-aType-bg-color: rgb(251, 251, 251);
    --wall-aType-border-color: var(--common-border-color);

}


:root.dark 
{
    --wall-border-color: rgb(11, 11, 12);
    --wall-bg-color: rgb(7, 7, 8);

    --wall-aType-bg-color: rgb(4, 4, 7);
    --wall-aType-border-color: var(--common-border-color);
    
}

div.search-form 
{
    max-width: 600px;
    display: flex;
    margin: 0 auto;
}

div.search-form input 
{
    font-weight: bold;
    border-radius: 20px;
    margin: 20px auto;
    width: calc(100% - 40px);
    text-transform: uppercase;
    padding-left: 35px;
    background-image: url(../icons/search.svg);
    background-repeat: no-repeat;
    background-position: left 9px center;
    background-size: 18px;
}

html.dark div.search-form input { background-image: url(../icons/black-search.svg); }

div.suggestions,
div.wall-article-wrapper 
{
    width: calc(100% - 20px);
    max-width: 1600px;
    min-height: calc(50vh - 309px);
    margin: 10px auto;
}

div.suggestions 
{
    align-items: flex-start;
    width: calc(100% - 10px);
    box-sizing: border-box;
    margin: 0;
    display: flex;
    justify-content: space-between;
}

div.suggestions > div.article,
div.wall-article-wrapper > div.article 
{
    border-radius: 3px;
    background-color: var(--wall-bg-color);
    outline: none;
    padding: 20px;
    padding-bottom: 35px;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    border-color: var(--wall-border-color);
}

div.suggestions > div.article 
{
    width: calc(50% - 10px);
    margin: 5px auto;
}

div.wall-article-wrapper > div.article > p > span.match 
{
    color: var(--color-blue);
}

html.dark div.wall-article-wrapper > div.article > p > span.match
{
    color: var(--yellow-color);
    text-decoration: underline;
}

div.suggestions::after,
div.wall-article-wrapper::after 
{
    clear: both;
    content: " ";
    display: table;
}

div.suggestions > div.article:hover,
div.suggestions > div.article:focus,
div.wall-article-wrapper > div.article:focus,
div.wall-article-wrapper > div.article:hover 
{
    border-color: var(--wall-fborder-color);
}

div.suggestions > div.article > a > img,
div.wall-article-wrapper > div.article > a > img 
{
    width: calc(100% - 20px);
    box-sizing: border-box;
    transition: all 0.2s;
    border-radius: 10px;
    margin: 10px;
}

div.suggestions > div.article:hover img,
div.suggestions > div.article:focus img,
div.wall-article-wrapper > div.article:focus img,
div.wall-article-wrapper > div.article:hover img 
{
    transform: scale(1.01);
    filter: blur(0px);
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}

div.suggestions > div.article > h1,
div.wall-article-wrapper > div.article > h1 
{
    margin: 4px 0px;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 22px;
}

div.suggestions > div.article > h1 > a,
div.wall-article-wrapper > div.article > h1 > a 
{
    word-break: normal;
    color: var(--body-color);
}


div.suggestions > div.article > p.desc,
div.wall-article-wrapper > div.article > p.desc 
{
    font-size: 16px;
}

div.suggestions > div.article > p.list-article-tags,
div.wall-article-wrapper > div.article > p.list-article-tags 
{
    display: flex;
    flex-wrap: wrap;
    margin: 0;
}

div.suggestions > div.article > p.list-article-tags > span,
div.wall-article-wrapper > div.article > p.list-article-tags > span 
{
    position: relative;
    margin: 5px 0px;
    margin-right: 10px;
    padding-left: 24px;
    box-sizing: border-box;
    font-size: 15px;
    background-image: url(../icons/tag.svg);
    background-size: 17px;
    background-repeat: no-repeat;
    background-position: left 0px top 3px;
}

html.dark div.suggestions > div.article > p.list-article-tags > span,
html.dark div.wall-article-wrapper > div.article > p.list-article-tags > span 
{
    background-image: url(../icons/black-tag.svg);
}

p.no-content 
{
    padding: 50px 10px;
    text-align: center;
}

p.no-content > span 
{
    margin: 0px 10px;
    font-size: 30px;
}

div.more 
{
    display: table;
    margin: 0px auto;

    border-width: 1px;
    border-style: solid;
    border-radius: 100%;

    background-image: url(../icons/loading.svg);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    
    width: 60px;
    height: 40px;
    margin: 50px auto;
    
    color: transparent;
}

html.dark div.more {
    filter: invert(100%);
}

div.wall-article-wrapper > div.notFound 
{
    width: calc(100% - 20px);
    background: none;
    margin: 0px;
    text-align: center;
    list-style: none;
    font-size: 40px;
    border: none;
}

div.wall-article-wrapper > div.notFound > span {
    word-break: keep-all;
    color: var(--color-red);
}

p.articleType 
{
    border-radius: 2px;
    padding: 6px 7px;
    margin: 5px 5px;
    background-color: var(--wall-aType-bg-color);
    border: 1px solid var(--wall-aType-border-color);
    text-transform: uppercase;
    display: inline-block;
    font-size: 13px;
    font-weight: bold;
    padding-left: 30px;
    position: relative;
    
}

p.articleType::after {
    background-repeat: no-repeat;
    background-size: 17px;
    background-position: center;
    background-image: url(../icons/type.svg);
    content: " ";
    left: 0;
    top: 0;
    width: 30px;
    height: 100%;
    position: absolute;
}

html.dark p.articleType::after {
    filter: invert(100%);
}

@media screen and (max-width: 600px) 
{
    div.suggestions 
    {
        display: block;
    }

    div.suggestions > div.article 
    {
        width: calc(100% - 10px);
        margin: 5px auto;
    }
}